.menu {
    overflow-y: auto;
    max-height: 98vh;
    width: 30vw;
    padding: 0 1rem 1rem 1rem;
}
  
.menu ul {
    list-style: none;
    padding: 0;
    text-align: left;
}
  
.menu li {
    display: flex;
    justify-content: space-between;
}

.form {
    display: flex;
    flex-direction: column;
    align-items: start;
    width: 100%;
}

.inputRoute {
    width: 70%;
}

.block-arrets {
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: start;
}

.block-arrets h4 {
    margin-top: 10px;
}

.input-wrapper {
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: space-between;
}

.input-wrapper button {
    font-size: medium;
    padding: 0% 15px;
}

.stop-button {
    max-width: 70%;
    margin: 2% 0%;
    font-size: 1em !important;
    padding: 0;
    border: none;
    font: inherit;
    color: inherit;
    background-color: transparent;
    cursor: pointer;
    color: blue;
    text-align: left;
}

.stop-button:hover {
    text-decoration: underline;
}

.stop-button:focus {
    border-color: white;
    outline: 0;
}

.arret-list{
    display: flex;
    flex-direction: column;
    width: 100%;
}

.arret li{
    font-size: large;
}

.delete-button{
    padding: 0 5px;
    border: none;
    font: inherit;
    color: inherit;
    background-color: transparent;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.delete-button img{
    width: 15px;
}

.button-calculer {
    min-width: 80%;
    min-height: 50px;
    margin-top: 50px;
    font-family: 'Nunito', sans-serif;
    font-size: 22px;
    text-transform: uppercase;
    letter-spacing: 1.3px;
    font-weight: 700;
    color: #d7d7da;
    background: rgb(40, 40, 249);
    background: linear-gradient(90deg, rgba(40, 40, 249,1) 0%, rgba(40, 40, 249,1) 100%);
    border: none;
    border-radius: 1000px;
    box-shadow: 12px 12px 24px rgba(40, 40, 249,.64);
    transition: all 0.3s ease-in-out 0s;
    cursor: pointer;
    outline: none;
    position: relative;
    padding: 10px;
}
  
.button-calculer:before {
    content: '';
    border-radius: 1000px;
    min-width: calc(80% + 20%);
    min-height: calc(50px);
    border: 6px solid rgb(40, 40, 249);
    box-shadow: 0 0 60px rgba(40, 40, 249,.64);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: all .3s ease-in-out 0s;
}
  
.button-calculer:hover, .button-calculer:focus {
    color: #d7d7da;
    transform: translateY(-6px);
}
  
.button-calculer:hover::before, button:focus::before {
    opacity: 1;
}
  
 .button-calculer::after {
    content: '';
    width: 30px; height: 30px;
    border-radius: 100%;
    border: 6px solid rgb(40, 40, 249);
    position: absolute;
    z-index: -1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: ring 1.5s infinite;
}
  
.button-calculer:hover::after, .button-calculer:focus::after {
    animation: none;
    display: none;
}

@keyframes ring {
    0% {
      width: 30px;
      height: 30px;
      opacity: 1;
    }
    100% {
      width: 150px;
      height: 150px;
      opacity: 0;
    }
  }
